package com.liang.service;

import com.liang.entity.StaMaterialcost;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;

/**
 * 材料费(StaMaterialcost)表服务接口
 *
 * @author makejava
 * @since 2023-07-18 21:55:35
 */
public interface StaMaterialcostService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    StaMaterialcost queryById(Integer id);

    /**
     * 分页查询
     *
     * @param staMaterialcost 筛选条件
     * @param pageRequest     分页对象
     * @return 查询结果
     */
    Page<StaMaterialcost> queryByPage(StaMaterialcost staMaterialcost, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param staMaterialcost 实例对象
     * @return 实例对象
     */
    StaMaterialcost insert(StaMaterialcost staMaterialcost);

    /**
     * 修改数据
     *
     * @param staMaterialcost 实例对象
     * @return 实例对象
     */
    StaMaterialcost update(StaMaterialcost staMaterialcost);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 获取列表
     *
     * @return
     */
    List<StaMaterialcost> getClfList(Integer zb);

    /**
     * 通过主表删除数据
     *
     * @param zb
     * @return
     */
    int deleteByZb(Integer zb);

    /**
     * 批量删除
     *
     * @param zbList
     * @return
     */
    int batchDeleteByZb(List<Integer> zbList);

    /**
     * 批量插入
     *
     * @param costList
     * @return
     */
    int insertBatch(List<StaMaterialcost> costList);
}
